package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.common.core.domain.entity.ImageDatas;

/**
 * 附件信息Mapper接口
 * 
 * @author boman
 * @date 2021-12-24
 */
public interface ImageDataMapper
{
    /**
     * 查询附件信息
     * 
     * @param imageId 附件信息主键
     * @return 附件信息
     */
    public ImageDatas selectImageDatasByImageId(Long imageId);

    /**
     * 查询附件信息列表
     * 
     * @param imageDatas 附件信息
     * @return 附件信息集合
     */
    public List<ImageDatas> selectImageDatasList(ImageDatas imageDatas);

    /**
     * 门户查询附件信息列表
     * @param imageDatas
     * @return
     */
    public List<ImageDatas> selectImageDatasListMenHu(ImageDatas imageDatas);

    /**
     * 新增附件信息
     * 
     * @param imageDatas 附件信息
     * @return 结果
     */
    public int insertImageDatas(ImageDatas imageDatas);

    /**
     * 修改附件信息
     * 
     * @param imageDatas 附件信息
     * @return 结果
     */
    public int updateImageDatas(ImageDatas imageDatas);

    /**
     * 删除附件信息
     * 
     * @param imageId 附件信息主键
     * @return 结果
     */
    public int deleteImageDatasByImageId(Long imageId);

    /**
     * 批量删除附件信息
     * 
     * @param imageIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteImageDatasByImageIds(Long[] imageIds);

    /**
     * 根据新闻id删除附件
     * @param newsId
     * @return
     */
    public int deleteImageDatasByNewsId(Integer newsId);
}
